Page MenuHomePhabricator

Audit cache usage to see what can be DC-local and what needs cross-DC purges
Closed, ResolvedPublic

Event Timeline

aaron created this task.Mar 6 2015, 9:07 PM
aaron claimed this task.
aaron raised the priority of this task from to Normal.
aaron updated the task description. (Show Details)
aaron added subscribers: PleaseStand, gerritbot, bd808 and 2 others.
Gilles set Security to None.
aaron moved this task from Backlog to Doing on the Availability board.Apr 27 2015, 8:47 PM

Change 206953 had a related patch set uploaded (by Aaron Schulz):
Removed "empty" cache key from JobQueueDB for simplicity

https://gerrit.wikimedia.org/r/206953

Change 206966 had a related patch set uploaded (by Aaron Schulz):
Converted ChangeTags to using the WAN cache

https://gerrit.wikimedia.org/r/206966

Change 206968 had a related patch set uploaded (by Aaron Schulz):
Converted LocalRepo to using the WAN cache

https://gerrit.wikimedia.org/r/206968

Change 206975 had a related patch set uploaded (by Aaron Schulz):
Converted sidebar cache to the WAN cache

https://gerrit.wikimedia.org/r/206975

Change 206989 had a related patch set uploaded (by Aaron Schulz):
Converted InfoAction to using the WAN cache

https://gerrit.wikimedia.org/r/206989

Change 206998 had a related patch set uploaded (by Aaron Schulz):
Converted User touched key to using the WAN cache

https://gerrit.wikimedia.org/r/206998

Change 207001 had a related patch set uploaded (by Aaron Schulz):
Converted User object cache to the WAN cache

https://gerrit.wikimedia.org/r/207001

Change 207004 had a related patch set uploaded (by Aaron Schulz):
Converted LocalFile to using the WAN cache

https://gerrit.wikimedia.org/r/207004

Change 206953 merged by jenkins-bot:
Removed "empty" cache key from JobQueueDB for simplicity

https://gerrit.wikimedia.org/r/206953

Change 206958 had a related patch set uploaded (by Aaron Schulz):
Converted FileBackendStore to using the WAN cache

https://gerrit.wikimedia.org/r/206958

aaron updated the task description. (Show Details)Apr 28 2015, 4:09 PM

Change 207509 had a related patch set uploaded (by Aaron Schulz):
Removed memcached use for preference counts

https://gerrit.wikimedia.org/r/207509

Change 207630 had a related patch set uploaded (by Aaron Schulz):
Use the WAN cache for caching

https://gerrit.wikimedia.org/r/207630

Change 207636 had a related patch set uploaded (by Aaron Schulz):
Avoid the need for explicit cache purges

https://gerrit.wikimedia.org/r/207636

Change 207638 had a related patch set uploaded (by Aaron Schulz):
Conversion to using WAN cache

https://gerrit.wikimedia.org/r/207638

Change 207639 had a related patch set uploaded (by Aaron Schulz):
Conversion to using WAN cache

https://gerrit.wikimedia.org/r/207639

Change 207646 had a related patch set uploaded (by Aaron Schulz):
Converted Interwiki using WAN cache

https://gerrit.wikimedia.org/r/207646

Change 207652 had a related patch set uploaded (by Aaron Schulz):
Converted WikiSet to using the WAN cache

https://gerrit.wikimedia.org/r/207652

aaron closed this task as Resolved.Apr 30 2015, 1:28 AM
aaron updated the task description. (Show Details)

Change 207637 had a related patch set uploaded (by Aaron Schulz):
Avoid DIY cache update that violates SoC

https://gerrit.wikimedia.org/r/207637

Change 207655 had a related patch set uploaded (by Aaron Schulz):
Removed pointless valid_tags cache purge

https://gerrit.wikimedia.org/r/207655

Change 207648 had a related patch set uploaded (by Aaron Schulz):
Use InterWiki::invalidateCache instead of DIY

https://gerrit.wikimedia.org/r/207648

Change 207640 had a related patch set uploaded (by Aaron Schulz):
Avoid DIY cache update that violates SoC

https://gerrit.wikimedia.org/r/207640

aaron updated the task description. (Show Details)Apr 30 2015, 1:36 AM

The auditing part is done now more or less.

Also updated most commits to point to T93141 instead.

Change 207636 merged by jenkins-bot:
Avoid the need for explicit cache purges

https://gerrit.wikimedia.org/r/207636

Change 207648 merged by jenkins-bot:
Use InterWiki::invalidateCache instead of DIY

https://gerrit.wikimedia.org/r/207648

Change 207640 merged by jenkins-bot:
Avoid DIY cache update that violates SoC

https://gerrit.wikimedia.org/r/207640

Change 207637 merged by jenkins-bot:
Avoid DIY cache update that violates SoC

https://gerrit.wikimedia.org/r/207637

Change 207655 merged by jenkins-bot:
Fixed change tag list purging

https://gerrit.wikimedia.org/r/207655

Change 207509 merged by jenkins-bot:
Removed memcached use for preference counts

https://gerrit.wikimedia.org/r/207509